#include <iostream>
#include <algorithm>
#include <set>
using namespace std;

int	N, M;
set<int> primes;

void decompose( int p )
{
 	for (int i = 2; i*i <= p; ++i)
 		if (p % i == 0)
 		{
 		 	while (p % i == 0) p /= i;
 		 	primes.insert( i );
 		}
	if (p != 1) primes.insert( p );
}

int power( int N, int prime )
{
 	int c = 0;
 	while (N % prime == 0) N /= prime, ++c;
 	return c;
}

int main()
{

	cin >> M >> N;
	decompose( M );
	decompose( N );

	int answer = 0;
	for (set<int>::iterator i = primes.begin(); i != primes.end(); ++i)
		answer += abs( power( N, *i ) - power( M, *i ) );

	cout << answer << endl;

	return 0;
}
